package Net::Docker::Registry;

use 5.006;
use strict;
use warnings;

=head1 NAME

Net::Docker::Registry - Handle docker registries in perl 

=head1 VERSION

Version 0.01

=cut

our $VERSION = '0.01';


=head1 SYNOPSIS

Quick summary of what the module does.

Perhaps a little code snippet.

  use Net::Docker::Registry::Client;
  my $drc       = Net::Docker::Registry::Client->new({...});
  my @repos     = $drc->repositories();
  my @tags      = $drc->list_tags($repos[0]);
  my $manifest  = $drc->manifests($repos[0], $tags[0]);
  print "  Name : $manifest->{name}\n";
  print "  Tag  : $manifest->{tag}\n";
  print "  Arch : $manifest->{architecture}\n";
  print "  Layers:\n";
  foreach my $layer (@{$manifest->{fsLayers}}) {
    print "   - $layer->{blobSum}\n";
  }


=head1 AUTHOR

Frank Schreiner, C<< <m0ses at samaxi.de> >>

=head1 BUGS AND FEATURE REQUESTS

Please report any bugs or feature requests through
the web interface at L<https://github.com/M0ses/Net-Docker-Registry/issues>.  
I will be notified, and then you'll
automatically be notified of progress on your bug as I make changes.




=head1 SUPPORT

You can find documentation for this module with the perldoc command.

    perldoc Net::Docker::Registry


You can also look for information at:

=over 1

=item * Github's issue tracker (report bugs here)

L<https://github.com/M0ses/Net-Docker-Registry/issues>

=back


=head1 SEE ALSO

  perldoc Net::Docker::Registry::Client

=head1 ACKNOWLEDGEMENTS


=head1 LICENSE AND COPYRIGHT

Copyright 2018 Frank Schreiner.

This program is free software; you can redistribute it and/or modify it
under the terms of the the Artistic License (2.0). You may obtain a
copy of the full license at:

L<http://www.perlfoundation.org/artistic_license_2_0>

Any use, modification, and distribution of the Standard or Modified
Versions is governed by this Artistic License. By using, modifying or
distributing the Package, you accept this license. Do not use, modify,
or distribute the Package, if you do not accept this license.

If your Modified Version has been derived from a Modified Version made
by someone other than you, you are nevertheless required to ensure that
your Modified Version complies with the requirements of this license.

This license does not grant you the right to use any trademark, service
mark, tradename, or logo of the Copyright Holder.

This license includes the non-exclusive, worldwide, free-of-charge
patent license to make, have made, use, offer to sell, sell, import and
otherwise transfer the Package with respect to any patent claims
licensable by the Copyright Holder that are necessarily infringed by the
Package. If you institute patent litigation (including a cross-claim or
counterclaim) against any party alleging that the Package constitutes
direct or contributory patent infringement, then this Artistic License
to you shall terminate on the date that such litigation is filed.

Disclaimer of Warranty: THE PACKAGE IS PROVIDED BY THE COPYRIGHT HOLDER
AND CONTRIBUTORS "AS IS' AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES.
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
PURPOSE, OR NON-INFRINGEMENT ARE DISCLAIMED TO THE EXTENT PERMITTED BY
YOUR LOCAL LAW. UNLESS REQUIRED BY LAW, NO COPYRIGHT HOLDER OR
CONTRIBUTOR WILL BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, OR
CONSEQUENTIAL DAMAGES ARISING IN ANY WAY OUT OF THE USE OF THE PACKAGE,
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


=cut

1; # End of Net::Docker::Registry
